; Vincent Duez, Jan. 2012
; A small IDL program to plot basic things

;PRO plot_simple

Set_Plot, 'X'
window

;***** Default parameters *****
!p.charsize=1
!p.charthick=1.5
!p.thick=1.5
!x.thick=2.5
!y.thick=2.5
!X.margin=[12,6]
!Y.margin=[6,4]

;File = 'Folder/data.col'
;ReadCol, File+'data1.col',r_R,c_0,c_2  ; -> to read in data files
Curvelabels= ['!6!Nc!I0 !N', 'c!I2 !N']

r_R=FindGen(100)/99.0*!Pi
c_0= Cos(r_R)
s_0= Sin(r_R)

minrange= -1.0
maxrange=  1.0

;***** Plot in the current X window *****
fine=1.75
large=2.25
Plot,[1,1],[1,1],Title='!6 The plot title', $
 Xtitle='!N!6 X axis title ',Xstyle=1,Xrange=[0,!Pi],      $
 Ytitle='!N!6 Y axis title ',Ystyle=1,Yrange=[minrange,maxrange] ; -> draws an empty plot
Oplot,r_R,c_0,Color=1,linestyle=1,Thick=fine
Oplot,r_R,s_0,Color=2,linestyle=2,Thick=large
Legend,Curvelabels,linestyle =[1,2],color=[1,2],box=0 ,position=[0.5,0.5] ; -> create a legend

;***** Plot in the .ps file *****
Set_Plot, 'PS'
fine=2.5
large=5.0
nimp,name='plot.ps', /paper
;nimp is similar to: Device,Filename='plot.ps', /Color,bits=24, but more options available
Plot,[1,1],[1,1],Title='!6 The plot title', $
 Xtitle='!N!6 X axis title ',Xstyle=1,Xrange=[0,!Pi],      $
 Ytitle='!N!6 Y axis title ',Ystyle=1,Yrange=[minrange,maxrange]
Oplot,r_R,c_0,Color=1,linestyle=1,Thick=fine
Oplot,r_R,s_0,Color=2,linestyle=2,Thick=large
Legend,Curvelabels,linestyle =[1,2],color=[1,2],box=0 ,position=[0.5,0.5]
fimp
; fimp is similar to: Device, /Close_File

END
